#ifndef PACKAGE__ADMIN__SVCLEAN__SVCLEAN_H
#define PACKAGE__ADMIN__SVCLEAN__SVCLEAN_H

#define FILENO_NEWOUT 3
#define FILENO_NEWERR 4
#define FILENO_PIPERD 5

#define SVCLEAN  "/svclean"
#define SHUTDOWN "/shutdown"

#define STR_(x) #x
#define STR(x) STR_(x)
#define MUST_CLOSE(fd) do { \
  if (fd_close(fd)!=0 && errno!=EBADF) DIE1(close,  "descriptor " STR_(fd)); \
} while (0)

#endif
